Generate high-quality images using Flux.2 Pro with balanced quality and speed.

Model

black-forest-labs/flux.2-pro

Parameters

ParameterTypeRequiredDefaultDescription
promptstringYes-Text description of the image
aspect_ratiostringNo"16:9""21:9", "16:9", "4:3", "1:1", "3:4", "9:16", "9:21"
resolutionstringNo"1mp""0.6mp", "1mp", "2mp", "4mp"
image_urlsstring[]NonullReference image URLs

Example Request

curl -X POST https://api.unifically.com/v1/tasks \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
    "model": "black-forest-labs/flux.2-pro",
    "input": {
      "prompt": "A photorealistic portrait of a woman in golden hour light",
      "aspect_ratio": "9:16",
      "resolution": "2mp"
    }
  }'

With Reference Images

curl -X POST https://api.unifically.com/v1/tasks \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
    "model": "black-forest-labs/flux.2-pro",
    "input": {
      "prompt": "A portrait in this style",
      "image_urls": ["https://example.com/ref1.jpg", "https://example.com/ref2.jpg"],
      "resolution": "2mp"
    }
  }'

Response

{
  "code": 200,
  "success": true,
  "data": {
    "task_id": "abc123def456",
    "status": "pending"
  }
}